<template>
  <section data-cid="{ BhLoginUi }" class="flex-1 lg:flex-none">
    <a-cover-l class="reset min-h-screen py-12 px-4 sm:px-6 lg:px-20 xl:px-28">
      <a-center-l class="reset max-w-sm w-full" data-centered>
        <a-box-l class="reset">
          <a-stack-l class="reset space-y-20">
            <a-stack-l class="reset space-y-6">
              <brand-logo class="self-start h-8 w-auto" alt="Biz Hunt logo" />
              <h2 class="text-3xl font-bold">Accedeix al teu compte</h2>
            </a-stack-l>

            <a-box-l class="reset">
              <formulate-form
                v-model="credentials"
                @submit="$emit('submit', credentials)"
              >
                <a-stack-l class="reset space-y-6">
                  <formulate-input
                    type="email"
                    name="identifier"
                    label="Adreça electrònica"
                    validation="bail|required|email"
                    :validation-messages="{
                      required:
                        'Cal que introdueixis la teva adreça electrònica',
                      email: 'L\'adreça introduïda no té un format vàlid',
                    }"
                    label-class="text-sm font-medium leading-5 text-gray-600"
                    element-class="mt-1 w-full rounded shadow-sm"
                    input-class="[ w-full px-3 py-2 border border-gray-300 rounded placeholder-gray-400 ][ focus:outline-none focus:ring focus:ring-gray-300 focus:ring-opacity-50 focus:border-gray-300 ][ transition duration-150 ease-in-out ][ sm:text-sm sm:leading-5 ]"
                    errors-class="mt-1"
                    error-class="text-sm font-medium leading-5 text-error"
                  />

                  <formulate-input
                    type="password"
                    name="password"
                    label="Contrassenya"
                    validation="required"
                    :validation-messages="{
                      required: 'Cal que introdueixis la teva contrassenya',
                    }"
                    label-class="text-sm font-medium leading-5 text-gray-600"
                    element-class="mt-1 w-full rounded shadow-sm"
                    input-class="[ w-full px-3 py-2 border border-gray-300 rounded placeholder-gray-400 ][ focus:outline-none focus:ring focus:ring-gray-300 focus:ring-opacity-50 focus:border-gray-300 ][ transition duration-150 ease-in-out ][ sm:text-sm sm:leading-5 ]"
                    errors-class="mt-1"
                    error-class="text-sm font-medium leading-5 text-error"
                  />

                  <div class="flex items-center justify-end">
                    <div class="text-sm leading-5">
                      <nuxt-link
                        :to="{ name: 'login-forgot' }"
                        class="[ font-medium ][ text-indigo-600 hover:text-indigo-500 ][ focus:outline-none focus:underline ][ transition ease-in-out duration-150 ]"
                      >
                        Has oblidat la teva contrassenya?
                      </nuxt-link>
                    </div>
                  </div>

                  <formulate-input
                    type="submit"
                    label="Entrar"
                    element-class="mt-1 w-full rounded shadow-sm"
                    input-class="[ w-full py-3 px-4 border border-transparent rounded ][ text-sm font-semibold tracking-wider uppercase ][ text-gray-50 bg-gray-600 hover:bg-gray-500 active:bg-gray-700 ][ focus:outline-none focus:border-gray-700 focus:ring focus:ring-gray-300 focus:ring-opacity-50 ][ transition duration-150 ease-in-out ]"
                  />
                </a-stack-l>
              </formulate-form>
            </a-box-l>
          </a-stack-l>
        </a-box-l>
      </a-center-l>
    </a-cover-l>
  </section>
</template>

<script>
import BrandLogo from '~/assets/images/bizhunt-logo.svg?inline';

export default {
  name: 'BhLoginUi',
  components: {
    BrandLogo,
  },
  data: () => ({
    credentials: {},
  }),
};
</script>
